# SendGrid Integration Simplenews Reports

## Overview
This module provides SendGrid statistics for Simplenews nodes. It adds a new
tab to simplenews nodes that displays SendGrid statistics for that specific
newsletter.

## Requirements
- SendGrid Integration
- SendGrid Integration Reports
- Simplenews

## Features
- View SendGrid statistics for individual Simplenews nodes
- Access to sending volume, spam reports, browser statistics, and device
statistics
- Filter statistics by custom date ranges
- Export statistics data to CSV format
- Visual data representation with charts and graphs
- Detailed bounce and unsubscribe tracking
- Permission-based access control

## Installation
1. Install the module as you would any Drupal module.
2. Enable the module via the admin interface or using Drush.
4. Grant the "Access SendGrid Simplenews Reports" permission to appropriate
roles.

## Usage
1. Navigate to a Simplenews node.
2. Click on the "SendGrid Statistics" tab.
3. View the statistics for that specific newsletter.
4. Use the filter options to customize the date range.
5. Export data as needed using the export function.

## Troubleshooting
If statistics are not displaying correctly:
1. Verify your SendGrid API key is correctly configured.
2. Check that newsletters have been properly sent through SendGrid.
3. Clear Drupal's cache.
4. Ensure proper permissions are granted to user roles.
